using CMSMicroservice.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
namespace CMSMicroservice.Infrastructure.Persistence.Configurations;
//آدرس کاربر
public class UserCartsConfiguration : IEntityTypeConfiguration<UserCart>
{
    public void Configure(EntityTypeBuilder<UserCart> builder)
    {
        builder.HasQueryFilter(p => !p.IsDeleted);
        builder.Ignore(entity => entity.DomainEvents);
        builder.HasKey(entity => entity.Id);
        builder.Property(entity => entity.Id).UseIdentityColumn();
        builder
            .HasOne(entity => entity.Product)
            .WithMany(entity => entity.UserCarts)
            .HasForeignKey(entity => entity.ProductId)
            .IsRequired(true);
        builder
            .HasOne(entity => entity.User)
            .WithMany(entity => entity.UserCarts)
            .HasForeignKey(entity => entity.UserId)
            .IsRequired(true);
        builder.Property(entity => entity.Count).IsRequired(true);

    }
}
